import 'package:grpc/grpc_web.dart';
import "package:grpc_bchrpc/src/generated/bchrpc.pb.dart";
import "package:grpc_bchrpc/src/generated/bchrpc.pbgrpc.dart";

class GrpcClientWeb {
  GrpcWebClientChannel _channel;
  bchrpcClient _stub;
  bool _hostHasSlpIndex;
  GrpcClientWeb() {
    _channel =
        GrpcWebClientChannel.xhr(Uri.parse("https://bchd.ny1.simpleledger.io"));
    _stub = bchrpcClient(_channel);
  }

  Future<GetBlockchainInfoResponse> getBlockchainInfo() {
    return _stub.getBlockchainInfo(GetBlockchainInfoRequest());
  }
}
